
var global_rtn_video = global_rtn_video || null;

function vid_mate_get_video_id() {
    var vid_mate_url = document.URL;
    if (vid_mate_url == null || vid_mate_url.length <= 0) {
        return null;
    }

    //http://dailymaza.com/download/58703/nakhriley_%28kill_dil%29_hd
    if(-1 == vid_mate_url.indexOf("dailymaza"))
    {
        return null;
    }
    var tmp_re = new RegExp("/download/([0-9]+)/");
    if (tmp_re.test(vid_mate_url)) {
        var tmp_m = vid_mate_url.match(tmp_re);
        return tmp_m[1];
    }
    return null;
}

function vid_mate_check() {
    if (vid_mate_get_video_id() == null) {
        vid_mate_set_canDownload(false);
        return false;
    } else {
        vid_mate_set_canDownload(true);
        return true;
    }
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

    var rtn_video = new vid_mate_video();
    rtn_video.check_type = "dailymaza";
    var tmp_video_file = new vid_mate_video_file();
    rtn_video.id = vid_mate_get_video_id();

    rtn_video.title = "";

    var document_title = document.title;
    var document_title_array = document_title.split(" - ");

    document_title_array.pop();
    document_title_array.pop();
    document_title = document_title_array.join(" - ");
    document_title = document_title.replace(/_/g, " ");
    document_title = document_title.replace("Free Download ", "");
    videoTitle = document_title;

    var arr = videoTitle.split(".");
    var tmp_format = arr.pop();
    videoTitle = arr.join(".");
    rtn_video.title = videoTitle;

    var imgArray = document.getElementsByTagName("img");
    for(var i=0; i<imgArray.length; ++i)
    {
        var obj = imgArray[i];
        if("absmiddle" == obj.className)
        {
            var src = obj.getAttribute("src");
            if(-1 == src.indexOf("http"))
            {
                src = "http://dailymaza.com" + src;
            }
            rtn_video.picture_default = src;
            rtn_video.picture_big = src;
            break;
        }
    }

    //http://videos.wapking.cc/files/download/id/105539
    ///                        files/download/id/32576
    var arr = document.URL.split("/");
    var videoUrl = "http://"+arr[2]+"/files/download/id/"+rtn_video.id+"";
    rtn_video.url = document.URL;

    global_rtn_video = rtn_video;

    var videoUrlArray = [];
    videoUrlArray.push(videoUrl);

    try {
        window.vbrowser.httpBeginGetAll();
        for(var i=0; i<videoUrlArray.length; ++i)
        {
            var url = "http://api.apk.vidmate.net/url?url="+encodeURIComponent(videoUrlArray[i]);
            window.vbrowser.httpAddUrl(url);
        }
        window.vbrowser.httpGetAll('vid_mate_app_xhr_more_result()');
    }
    catch (e) {
        vid_mate_error_default('dailymaza\r\n' + e.name + ": " + e.message);
    }
}

function vid_mate_app_xhr_more_result() {
    var rtn_contents = [];
    try {
        var tmp_count = window.vbrowser.httpGetResCount();
        for (var i = 0;i < tmp_count;i ++) {
            var tmp_content = window.vbrowser.httpGetResAtIndex(i);
            rtn_contents.push(tmp_content);
        }
    } catch (e) {
        vid_mate_error_default('dailymaza 3\r\n' + e.name + ": " + e.message);
        return null;
    }

    vid_mate_video_analytics_more(rtn_contents);
}

function vid_mate_video_analytics_more(vm_content_array)
{
    for(var i=0; i<vm_content_array.length; ++i)
    {
        var videoUrl = vm_content_array[i];
        if(!videoUrl)
        {
            continue;
        }
        videoUrl = decodeURIComponent(videoUrl);
        videoUrl = videoUrl.replace(/&amp;/g, "&");
        videoUrl = videoUrl.replace(/ /g, "%20");
        var tmp_video_file = new vid_mate_video_file();
        tmp_video_file.url = videoUrl;
        var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
        tmp_video_file.format = tmp_format;
        tmp_video_file.title = tmp_format;
        tmp_video_file.f_id = global_rtn_video.id + "_"+ tmp_format;
        global_rtn_video.files.push(tmp_video_file);
    }

    if(0 == global_rtn_video.files.length)
    {
        vid_mate_error_default('dailymazac get real url fail');
        return null;
    }

    vid_mate_setParseMsg(100, 100, 'Completed');
    vid_mate_set_videoInfo(JSON.stringify(global_rtn_video));
}

function vid_mate_get_video_info() {
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

    if (!vid_mate_check()) {
        return null;
    }

    var vid_mate_video_id = vid_mate_get_video_id();
    vid_mate_setParseMsg(20, 60, 'Get Video Info');
    //vid_mate_video_analytics(vid_mate_video_id);
    setTimeout("vid_mate_video_analytics()", 1000);
}



