var global_document_url = "";

function vid_mate_get_video_id(url) {
	var vid_mate_url = url||document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	//http://www.voglioporno.com/video/show-in-webcam-dall-internet-cafe/
	if(-1 ==  vid_mate_url.indexOf("/video/"))
	{
		return null;
	}
	
	var arr = vid_mate_url.split("/");
	if(6 != arr.length)
	{
		return null;
	}

	return arr[4];
}

function vid_mate_check(url) {
	if (vid_mate_get_video_id(url) == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "voglioporno";
	rtn_video.js_ver  = "1.01";
	rtn_video.js_info = "update js";
	rtn_video.id = vid_mate_get_video_id(global_document_url);
	if(null == rtn_video.id)
	{
		vid_mate_error_default('get id fail');
		return null;
	}

	rtn_video.url = document.URL;
	var title = cutstr(vm_content, "<title>", "</title>");
	if(title)
	{
		if(-1 != title.indexOf(" - "))
		{
			var arr = title.split(" - ");
			arr.pop();
			title = arr.join(" - ");
		}
	}
	if(!title)
	{
		title = "Mp4";
	}

	rtn_video.title = title;

	var videoUrl = cutstr(vm_content, "source src=\"", "\"");
	if(!videoUrl)
	{
		vid_mate_error_default('get source fail');
		return null;
	}
	var videoImg = rcutstr(vm_content, "'", "' property='og:image'");
	if(videoImg)
	{
		rtn_video.picture_default = videoImg;
		rtn_video.picture_big = videoImg;
	}

	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.url = videoUrl;

	tmp_video_file.f_id = rtn_video.id + '_0_1';
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;

	rtn_video.files.push(tmp_video_file);
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info(url) {
    vid_mate_setParseMsg(10, 20, 'Start Analytics');


	global_document_url = url;

	try {
		var vid_mate_video_id = vid_mate_get_video_id(global_document_url);
		vid_mate_setParseMsg(20, 60, 'Get Video Info... ...');

		var referer = url;
		var cookie = "";
		var userAgent = "Mozilla/5.0 (Linux; U; Android 4.2.1; en; M366 Build/JOP40D) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Mobile Safari/534.30";
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
                vid_mate_error_default('voglioporno 111');
                return null;
    }
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}


function rcutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p2 = content.indexOf(suffix);
	if(-1 == p2)
	{
		return "";
	}

	content = content.substr(0, p2);

	var p1 = content.lastIndexOf(prefix);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1 + prefix_len , p2);
}
