var global_document_url = "";
var global_vid_mate_video_id = "";
var global_vid_mate_rtn_video = "";

function vid_mate_get_video_id(url) {
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	//http://freeappstore.in/download/8550/bb_texas_holdem_poker_-_1.0.20
	if(-1 == vid_mate_url.indexOf("freeappstore"))
	{
		return null;
	}
	var tmp_re = new RegExp("\/download\/([0-9]+)\/");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		return tmp_m[1];
	}
	return null;
}

function vid_mate_check(url) {
	if (vid_mate_get_video_id(url) == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "freeappstore";
	var tmp_video_file = new vid_mate_video_file();
	rtn_video.id = global_vid_mate_video_id;

	var tmp_content = vm_content;

	var videoImg = "";
	var tmp_re = new RegExp("img class=\"absmiddle\" src=\"(.+?)\"");
	if (tmp_re.test(tmp_content)) {
		var tmp_m = tmp_content.match(tmp_re);
		videoImg = "http://freeappstore.in" + tmp_m[1];
	}

	var videoTitle = "";
	var videoUrl = "";
	var tmp_re = new RegExp("<a class=\"dwnLink\" rel=\"nofollow\" href=\"(.+?)\">(.+?)<\/a>");
	if (tmp_re.test(tmp_content)) {
		var tmp_m = tmp_content.match(tmp_re);
		videoUrl = "http://freeappstore.in" + tmp_m[1];
		videoTitle = tmp_m[2];
	}

	rtn_video.title = videoTitle;
	rtn_video.url = global_document_url;
	rtn_video.picture_default = videoImg;
	rtn_video.picture_big = videoImg;

	tmp_video_file.url = videoUrl;
	tmp_video_file.f_id = rtn_video.id;
	var tmp_format = vid_mate_get_video_format(videoTitle);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;

	rtn_video.files.push(tmp_video_file);

	global_vid_mate_rtn_video = rtn_video;

	var apiUrl = "http://api.apk.vidmate.net/url?url="+videoUrl;
	window.vbrowser.httpBegin(apiUrl);
	window.vbrowser.httpGet('freeappstore_xhr_result()');
}

function freeappstore_xhr_result() {
    var vid_mate_response;

	try {
        vid_mate_response = window.vbrowser.getHttpRes();
    } catch (e) {
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
	}

    if (vid_mate_response != null && vid_mate_response.length > 0) {
        freeappstore_analytics(vid_mate_response);
    }
}

function freeappstore_analytics(vm_content)
{
	if(-1 == vm_content.indexOf("http"))
	{
		vid_mate_error_default('freeappstore not http begin');
		return null;
	}
	global_vid_mate_rtn_video.files[0].url = vm_content;
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(global_vid_mate_rtn_video));
}

function vid_mate_get_video_info(url) {
	if(null == url || undefined == url || 0 == url.length)
	{
		return vid_mate_get_video_info_on_blank(document.URL);
	}
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	if(null == vid_mate_video_id)
	{
		return;
	}
	global_vid_mate_video_id = vid_mate_video_id;
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	global_document_url = url;

	var referer = url;
	var cookie = "";
	var userAgent = navigator.userAgent;
	var method = "get";
	var data = "";
	vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}
